# Function deriveEventsMapped

- deriveEventsMapped< T >(
  repository: Repository < TrustedEvent >,
  __namedParameters: DeriveEventsMappedOptions < T >,
  ): WritableWithGetter < T []>

- #### Type Parameters

  - T

  #### Parameters

  - repository: Repository < TrustedEvent >
  - __namedParameters: DeriveEventsMappedOptions < T >

  #### Returns WritableWithGetter < T []>

  - Defined in packages/store/src/index.ts:140